/ comp / gb.desktop / desktop / find
Desktop.Find (gb.desktop)
Syntax

    STATIC FUNCTION Find ( [ Title AS String, Application AS String, Role AS String ] ) AS Pointer[]

Find all X11 top-level window that match the specified criteria.

- Title is the title of the window. It is stored in the `WM_NAME` X11 window property.
- Application is the class of the window. It is usually the name of the application that created the window. It is stored in the `WM_CLASS` X11 window property.
- Role is the role of the window. It is stored in the `WM_WINDOW_ROLE` X11 window property.

All these arguments are regular expressions.

This method returns an array of X11 window identifier.

| To read the properties of a X11 top-level window, use the `xprop` program.